package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.base.CreditCardInfo;
import org.openxma.dsl.reference.types.Gender;
import org.openxma.dsl.reference.types.valueobject.TelefonNumber;

public abstract class PrivateCustomerViewGen implements Serializable {
	private static final long serialVersionUID = -595782023;
	protected String oid;
	protected Date version;
	protected String firstName;
	protected String lastName;
	protected Gender gender;
	protected String emailAddress;
	protected Date birthDate;
	protected TelefonNumber telefonNumber;
	protected Date lastOrderDate;
	protected String invoiceAddressOid;
	protected String deliveryAddressOid;
	protected CreditCardInfo ccInfo = new CreditCardInfo();
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getFirstName() {
        return this.firstName;
    }
	
	public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
	
	public String getLastName() {
        return this.lastName;
    }
	
	public void setLastName(String lastName) {
        this.lastName=lastName;
    }
	
	public Gender getGender() {
        return this.gender;
    }
	
	public void setGender(Gender gender) {
        this.gender=gender;
    }
	
	public String getEmailAddress() {
        return this.emailAddress;
    }
	
	public void setEmailAddress(String emailAddress) {
        this.emailAddress=emailAddress;
    }
	
	public Date getBirthDate() {
        return this.birthDate;
    }
	
	public void setBirthDate(Date birthDate) {
        this.birthDate=birthDate;
    }
	
	public TelefonNumber getTelefonNumber() {
        return this.telefonNumber;
    }
	
	public void setTelefonNumber(TelefonNumber telefonNumber) {
        this.telefonNumber=telefonNumber;
    }
	
	public Date getLastOrderDate() {
        return this.lastOrderDate;
    }
	
	public void setLastOrderDate(Date lastOrderDate) {
        this.lastOrderDate=lastOrderDate;
    }
	
	public String getInvoiceAddressOid() {
        return this.invoiceAddressOid;
    }
	
	public void setInvoiceAddressOid(String invoiceAddressOid) {
        this.invoiceAddressOid=invoiceAddressOid;
    }
	
	public String getDeliveryAddressOid() {
        return this.deliveryAddressOid;
    }
	
	public void setDeliveryAddressOid(String deliveryAddressOid) {
        this.deliveryAddressOid=deliveryAddressOid;
    }
	
	public CreditCardInfo getCcInfo() {
        return this.ccInfo;
    }
	
	public void setCcInfo(CreditCardInfo ccInfo) {
        this.ccInfo=ccInfo;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("PrivateCustomerView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("firstName=").append(getFirstName()).append(",");
        toStringBuilder.append("lastName=").append(getLastName()).append(",");
        toStringBuilder.append("gender=").append(getGender()).append(",");
        toStringBuilder.append("emailAddress=").append(getEmailAddress()).append(",");
        toStringBuilder.append("birthDate=").append(getBirthDate()).append(",");
        toStringBuilder.append("telefonNumber=").append(getTelefonNumber()).append(",");
        toStringBuilder.append("lastOrderDate=").append(getLastOrderDate()).append(",");
        toStringBuilder.append("invoiceAddressOid=").append(getInvoiceAddressOid()).append(",");
        toStringBuilder.append("deliveryAddressOid=").append(getDeliveryAddressOid());
        return toStringBuilder.append("]").toString();
    }
}
