namespace org.openxma.dsl.reference.ui.panels

component xma::Panels {

    page PanelPage {               
        content {
            panel {            	
            }        	
            panel height=40 {            	
            }
            panel namedPanel height=40 {
            }
            panel titlePanel "Panel with title" height=40 {         	
            }	
			panel scrollablePanel "Scrollable panel" height=40 scrollable=true {
				text bigText height=60									
            }
        	panel {
        		text tx1 label="Textfield 1"
				text tx2 label="Textfield 2"        		
        	}            
            panel tabulatorPanel tabulator=100 {
        		text tx3 label="Textfield 3"
				text tx4 label="Textfield 4"              				
            }            
        }
    }
    
    page VPanelPage {               
        content {
            vpanel {            	
            }        	      	
            vpanel height=40 {            	
            }
            vpanel namedPanel height=40 {          	
            }
            vpanel titlePanel "VPanel with title" height=40 {       	
            }       
			vpanel scrollablePanel "Scrollable vertical panel" height=40 scrollable=true {
				text bigText height=60							
            }
        	vpanel {
        		text tx1 label="Textfield 1"
				text tx2 label="Textfield 2"        		
        	}              
            vpanel tabulatorPanel tabulator=100 {
        		text tx3 label="Textfield 3"
				text tx4 label="Textfield 4"               	     			
            }
            vpanel tabulatorPanel2 tabulator=100,250 {
        		text tx5 label="Textfield 5"
				text tx6 label="Textfield 6"               	     			
            }                  
        }
    }
    
    page HPanelPage {               
        content {
            hpanel {                    	
            }        	            	
            hpanel height=40 {                    	
            }
            hpanel namedPanel height=40 {                      	
            }
            hpanel titlePanel "HPanel with title" height=40 {                  	
            }                   
			hpanel scrollablePanel "Scrollable horizontal panel" height=40 scrollable=true {
				text bigText height=60					
            }
        	hpanel {
        		text tx1 label="Textfield 1"
				text tx2 label="Textfield 2"        		
        	}              
            hpanel tabulatorPanel tabulator=100 {
        		text tx3 label="Textfield 3"
				text tx4 label="Textfield 4"                	
            } 
            hpanel tabulatorPanel2 tabulator=100,250 {
        		text tx5 label="Textfield 5"
				text tx6 label="Textfield 6"               	     			
            }                                                    
        }
    }  
    
    page ArrangedPanels {
    	content {
    		panel leftTop "Left top" left=0 top=0 bottom=40% right=30%+5 {    			
    		}
    		vpanel leftBottom "Left bottom" left=0 top=previous bottom=100% right=50% {    			
    		}
    		hpanel mittleTop "Middle top" left=leftTop right=80% top=0 bottom=25%-7 {    			
    		}
    		vpanel middle "Middle" left=leftTop top= previous bottom=leftBottom {    			
    		}
    		panel "Mittle bottom" left=leftBottom bottom=100% height=40 right=rightBottom {    			
    		}
    		panel rightPanel "Right" left=leftBottom top=middle bottom=previous {    			
    		}    		
    		panel "Right top" top=leftTop.top right=100% bottom=middle left=mittleTop {    			
    		}
    		panel rightBottom "Right bottom" top=rightPanel bottom=100% left=70% {    			
    		}    		
    	}
    }
}